Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7187 - during install, kernel panic: scsi <fdomain>
Summary: during install, kernel panic: scsi <fdomain>
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-21 03:24 UTC by Laurent Chavey
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 23:40:04 UTC


Attachments (Terms of Use)

Description Laurent Chavey 1999-11-21 03:24:27 UTC
on a pentium 100Mhz, 58Mg of ram.
one IDE drive (hda), one IDE cdrom, one scsi drive (sda)
 / -> 150MBb on hda1
 swap -> 50MB on hda2
 /swap -> 100MB on hda3
 /boot -> 29 MB on hda4

 /usr  -> 1GB on sda1
 /home -> 1 GB on sda2
 /tmp  -> 29 MB on sda3

I have
  a paradize s3 trio 64 PCI video card,
  a future domain (old) scsi PCI controller
     bios on controller = 36C70 v1.3 1994
  a tachyon TL 2.3 PCI fibre channel adapter
  a 3 com isa 3c509

I use to run read hat 5.3 without any problems.
  (same configuration)

when I load redhat 6.1 and do the install, during the package
install I get the following

  Kernel panic: SCSI <fdomain> fdomain_16x0_queue()
                not reentrant
                in swapper task- not suncing

   (this comes from /usr/src/linux/drivers/scsi/fdomain.c)
    afer a call to the queue() entry from scsi.c

  any idea.

  I switch to an adaptec aic7xxx.o adapter (some old stuff
  that I have laying arround and it  works)

  any idea :-)

  thank you.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Ori Pessach 2002-12-26 21:06:19 UTC
I'm seeing this with RedHat 8.0 (!!!) on a 133MHz Pentium, with two SCSI drives,
no IDE drives. Should I report this as a new bug, or just append to this one?

Comment 3 Stephen John Smoogen 2003-01-23 23:40:04 UTC
If you are still having this problem with the current errata kernel, please open
a new ticket with your hardware information. The last time I dealt with a
fdomain PCI controller I needed to update its BIOS to avoid some reset problems
I had seen on it. However I am not sure this is possible anymore.


Note You need to log in before you can comment on or make changes to this bug.